<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('tailor_specializations', function (Blueprint $table) {
            $table->string('category')->after('name')->default('Uncategorized');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('tailor_specializations', function (Blueprint $table) {
            $table->dropColumn('category');
        });
    }
};
